import Vue from 'vue';
import Vuex from 'vuex';
import login from '@common/store/login';
import marketproduct from '@common/store/market/marketproduct';
import expertsuser from '@common/store/market/exportuser';
import maarkettype from '@common/store/market/markettype';
import productpact from '@common/store/market/productpact';
import authUser from './user/auth-user';
import dock from '@common/store/live/dock';
import wxchattest from './user/wxchattest';
import market from '@common/store/market/market';
import apply from '@common/store/live/apply';
import transaction from '@common/store/market/transaction';
import expertsaudit from '@common/store/market/expertsaudit';
import exportuser from '@common/store/market/exportuser';
import user from './user';
import place from './place';
import onliveUser from './onlive/user';
import gensign from './onlive/gensign';
import room from './onlive/room';
import chat from './chat';
import * as ustate from '@/store/common/state';
import * as umutations from '@/store/common/mutations';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    login,
    market,
    marketproduct,
    expertsuser,
    maarkettype,
    authUser,
    dock,
    wxchattest,
    apply,
    transaction,
    expertsaudit,
    productpact,
    exportuser,
    user,
    dock,
    place,
    onliveUser,
    room,
    gensign,
    chat,
  },
});
